aboutsummaryrefslogtreecommitdiffstats
path: root/docs/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docs/setup.sh')
-rwxr-xr-xdocs/setup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/docs/setup.sh b/docs/setup.sh
new file mode 100755
index 00000000..da30a3c9
--- /dev/null
+++ b/docs/setup.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+# set -o xtrace
+
+# This is only needed once to provision a new fresh empty S3 bucket.
+
+aws configure set preview.cloudfront true
+aws --profile mitmproxy \
+ s3 cp --acl public-read ./bucketassets/error.html s3://docs.mitmproxy.org/error.html
+aws --profile mitmproxy \
+ s3 cp --acl public-read ./bucketassets/robots.txt s3://docs.mitmproxy.org/robots.txt